[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.HeaderSizing

Performs actions to resize a column or row to the specified size.

## Declaration

Source position: grids.pas line 1129

`protected procedure TCustomGrid.HeaderSizing(`
`const IsColumn: Boolean;`
`const AIndex: Integer;`
`const ASize: Integer`
`); virtual;`

## Arguments

`IsColumn` |  | True when the resize action is for a column, or False for a row.
`AIndex` |  | Column or row index resized in the method.
`ASize` |  | New size for the column or row.

## Description

HeaderSizing has an empty implementation in TCustomGrid. It is overridden in descendent classes.